<div id="gameDiv">
	<div id="game" style="position:absolute;width:500px;height:500px">
		<canvas id="ctx" width="500" height="500" style="position:absolute;border:1px solid #000000;"></canvas>		
	</div>
</div>

<!--<script src="https://cdn.socket.io/socket.io-1.4.5.js"></script>-->
<script>
	// 
	var WIDTH = 500;
	var HEIGHT = 500;

	//graph
	var ctx = document.getElementById("ctx").getContext("2d");
    
    t = new Date().getTime()
    var disturb = 0 //[0]
    var disturbAmplitude = 3

    var signal = []
    var signalBasis = []
    var latestValue = 0
    var d = 0
    const dAmplitude = 125
    const dForceMin = 1
    const dForceMax = 32//62

    function getRand(min, max) {
      return Math.random() * (max - min) + min;
    }
	
	setInterval(function(){
        ctx.fillStyle = "#000000"
        ctx.fillRect(0,0,500,500);
        ctx.fillStyle = "#00ff00"
        ctx.strokeStyle = "#00aa00"
        ctx.beginPath();
        ctx.moveTo(0, signal[0]);
		for(let i = 0; i < 500; i++) {
            const y = 250 + (signalBasis[i] || 0) 
            ctx.lineTo(i, y);
        }
        ctx.stroke();
        ctx.closePath();
        ctx.strokeStyle = "#00ff00"
        ctx.beginPath();
        ctx.moveTo(0, signal[0]);
		for(let i = 0; i < 500; i++) {
            const y = 250 + (signal[i] || 0) 
            ctx.lineTo(i, y);
        }
        ctx.stroke();
        ctx.closePath();


        t += 1
        const dForce = getRand(dForceMin, dForceMax)
        if (d > dAmplitude || d > 200) {
            d -= (Math.random() * dForce)
        } else if (d < -1 * dAmplitude || d < -200) {
            d += (Math.random() * dForce)
        } else {
            if (Math.random() > 0.5) {
                d += (Math.random() * dForce)
            } else {
                d -= (Math.random() * dForce)
            }
        }
        const basis = Math.sin(0.01 * t) * 150
        latestValue = Math.max(Math.min(basis + d, 200), -200)
        signal.push(latestValue)
        signalBasis.push(basis)
        if (signal.length > 500) signal.shift()
        if (signalBasis.length > 500) signalBasis.shift()
    },40);
	
	document.oncontextmenu = function(event){
		event.preventDefault();
	}
	
	
	
</script>